Name:           bluemodem
Version:        0.7
Release:        5%{?dist}
Summary:        A bluetooth modem configuration utility

Group:          Applications/Internet
License:        GPLv2+
URL:            http://bluemodem.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         bluemodem-strip.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  bluez-libs-devel
BuildRequires:  ppp
BuildRequires:  bluez
BuildRequires:  coreutils
BuildRequires:  module-init-tools

Requires:       bluez-libs-devel
Requires:       ppp
Requires:       bluez
Requires:       coreutils
Requires:       module-init-tools


%description
The bluemodem package contains a program to both run and configure,
bluetooth modem connections. The bluemodem program allows you to
maintain multiple modem configurations. Bluemodem also connects and
dials out using ppp (dun).


%prep
%setup -q
%patch0 -p1 -b .strip


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
install -Dp -m 0755 %{name} %{buildroot}%{_bindir}/%{name}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE README
%{_bindir}/%{name}


%changelog
* Mon Mar 15 2010 Fabian Affolter <fabian@bernewireless.net> - 0.7-5
- Removed flags from make

* Mon Mar 15 2010 Fabian Affolter <fabian@bernewireless.net> - 0.7-4
- New try to fix bug #550709

* Mon Mar 15 2010 Fabian Affolter <fabian@bernewireless.net> - 0.7-3
- Fixed bug #550709
- Fixed empty debuginfo

* Sun Dec 20 2009 Fabian Affolter <fabian@bernewireless.net> - 0.7-2
- Fixed BR

* Mon Jul 07 2009 Fabian Affolter <fabian@bernewireless.net> - 0.7-1
- Initial spec for Fedora
